Events (Admin)

Search inviters (Admin)

GET/manage/events/:eventId/entries/invited-by/search

Search for inviters to filter the participant list by. Keywords are split on whitespace and combined with AND; up to 50 options are returned. Requires the participantsRead permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

Query parameters

qstringoptional

Search keyword. Returns an empty array when blank.

Response

FieldTypeDescription
optionsInviterOption[]Inviter options; pass `entryId` as `invitedByEntryId` to filter.
Request
curl https://api.4s.link/manage/events/EVENT_ID/entries/invited-by/search \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"options": [
{
"entryId": "en1a2b3-...",
"user": { "slug": "taro", "firstName": "太郎", "lastName": "山田" },
"ticket": { "id": "t1a2b3c4-...", "name": "招待チケット" }
}
]
}